Package org.postgresql.jdbc

# Class UUIDArrayAssistant

java.lang.Object
org.postgresql.jdbc.UUIDArrayAssistant

All Implemented Interfaces:
  `ArrayAssistant`

public class UUIDArrayAssistant extends Object implements ArrayAssistant

## Constructor Summary

Constructors
Constructor
Description
`UUIDArrayAssistant()`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`baseType()`
get array base type.
`Object`
`buildElement(byte[] bytes, int pos, int len)`
build a array element from its binary bytes.
`Object`
`buildElement(String literal)`
build an array element from its literal string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UUIDArrayAssistant

public UUIDArrayAssistant()

## Method Details

### baseType

public Class<?> baseType()
Description copied from interface: `ArrayAssistant`
get array base type.

Specified by:
  `baseType` in interface `ArrayAssistant`
Returns:
  array base type

### buildElement

public Object buildElement(byte[] bytes, int pos, int len)
Description copied from interface: `ArrayAssistant`
build a array element from its binary bytes.

Specified by:
  `buildElement` in interface `ArrayAssistant`
Parameters:
  `bytes` - input bytes
  `pos` - position in input array
  `len` - length of the element
Returns:
  array element from its binary bytes

### buildElement

public Object buildElement(String literal)
Description copied from interface: `ArrayAssistant`
build an array element from its literal string.

Specified by:
  `buildElement` in interface `ArrayAssistant`
Parameters:
  `literal` - string representation of array element
Returns:
  array element